Window and Tab Limiter Version History

4 versions

Be careful with old versions!

These versions are displayed for reference and testing purposes. You should always use the latest version of an add-on.

Version 4.28 10.2 kB Works with Firefox 3.0 and later

Updated for newer versions of Firefox

Version 4.27 10.2 kB Works with Firefox 3.0 and later

Updated for Firefox 4.0

Version 4.25 18.4 kB Works with Firefox 2.0 and later

Updated for Firefox 4.0

Version 4.19 19.5 kB Works with Firefox 2.0 - 3.6.*

Fixed a lot of issues regarding accessing preferences, and added the ability to just double click on a listed window to quickly close it. Should work much better across all platforms.